<div class="page">
  <mat-toolbar class="page-title">
    <button *ngIf="showBackButton"
            mat-icon-button
            (click)="backButtonClicked.emit()"
            class="backward-button">
      <mat-icon>arrow_backward</mat-icon>
    </button>

    <span class="big-title">
        {{ title }}
    </span>

    <div class="spacer"></div>

    <div class="top-actions">
      <ng-content select="[topActions]"></ng-content>
    </div>
  </mat-toolbar>

  <div class="page-content">
    <ng-content></ng-content>
  </div>

  <div class="page-actions">
    <ng-content select="[pageActions]"></ng-content>
  </div>
</div>
